package nc.ui.gl.subjassemble;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.HashMap;
import javax.swing.JFrame;
import nc.bs.logging.Logger;
import nc.ui.gl.cachefeed.BookCacheRequestFactory;
import nc.ui.gl.remotecall.GlRemoteCallProxy;
import nc.ui.gl.subjassemble.ButtonKey;
import nc.ui.gl.subjassemble.SubjAssembleView;
import nc.ui.gl.tools.JTableTool;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.gl.remotecall.context.GLRemoteCallContext;
import nc.vo.pub.BusinessException;

public class ToftPanelView extends ToftPanel {

   private SubjAssembleView ivjView = null;
   private ButtonObject[] m_Buttons;


   public ToftPanelView() {
      this.initialize();
   }

   public String getTitle() {
      return NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000533");
   }

   private SubjAssembleView getView() {
      if(this.ivjView == null) {
         try {
            this.ivjView = new SubjAssembleView(this);
            this.ivjView.setName("View");
            this.ivjView.setLocation(1, 1);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjView;
   }

   private void handleException(Throwable exception) {
   }

   private void initButtons() {
      this.m_Buttons = new ButtonObject[3];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setCode("查询");
      this.m_Buttons[1] = new ButtonObject("刷新");
      this.m_Buttons[1].setTag(ButtonKey.bnRefresh);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[1].setCode("刷新");
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[2].setTag(ButtonKey.bnPrint);
      this.m_Buttons[2].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[2].setCode("打印");
      this.setButtons(this.m_Buttons);
   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setLayout(new BorderLayout());
         this.setSize(774, 419);
         this.add(this.getView(), "Center");
      } catch (Throwable var3) {
         this.handleException(var3);
      }

      this.initButtons();

      try {
         GLRemoteCallContext orgbookname = GlRemoteCallProxy.callProxy(BookCacheRequestFactory.newAccountingBookQueryContextVO("20023055"));
      } catch (BusinessException var2) {
         Logger.error("取后台缓存", var2);
      }

      String orgbookname1 = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
      this.updateStatusBarAccountMsg(orgbookname1);
      this.getFormatCache();
   }

   public void postInit() {
      String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
      this.updateStatusBarAccountMsg(orgbookname);
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void onButtonClicked(ButtonObject bo) {
      for(int i = 0; i < this.m_Buttons.length; ++i) {
         if(bo.equals(this.m_Buttons[i])) {
            try {
               this.getView().tackleBnsEvent(i);
            } catch (BusinessException var4) {
               var4.printStackTrace();
            }
            break;
         }
      }

   }

   public boolean onClosing() {
      HashMap map = new HashMap();
      map.put(this.getView().getClass().getName(), this.getView());

      try {
         JTableTool.INSTANCE.saveColumnWidth(map);
      } catch (Exception var3) {
         Logger.error(var3.getMessage(), var3);
      }

      return true;
   }

   public void getFormatCache() {
      try {
         GlRemoteCallProxy.callProxyAsyn(BookCacheRequestFactory.newAccountingBookQueryContextVO("20023020"));
      } catch (BusinessException var4) {
         Logger.error("取后台缓存", var4);
      }

      HashMap map = new HashMap();
      map.put(this.getView().getClass().getName(), this.getView());

      try {
         JTableTool.INSTANCE.setColumnWidth(map);
      } catch (Exception var3) {
         Logger.error(var3.getMessage(), var3);
      }

   }
}
